cross_compiling=maybe
host_alias=@HOST@
ac_tool_prefix=${host_alias}-

if test -z $with_boost; then
  with_boost=$prefix
fi
if test -z $with_qt_plugindir; then
  with_qt_plugindir=$prefix/plugins
fi
if test -z $with_qt_translationdir; then
  with_qt_translationdir=$prefix/translations
fi
if test -z $with_qt_bindir; then
  with_qt_bindir=$prefix/native/bin
fi
if test -z $with_protoc_bindir; then
  with_protoc_bindir=$prefix/native/bin
fi
if test -z $with_comparison_tool; then
  with_comparison_tool=$prefix/native/share/MethuselahdComparisonTool_jar/MethuselahdComparisonTool.jar
fi


if test -z $enable_wallet && test -n "@no_wallet@"; then
  enable_wallet=no
fi

if test -z $with_miniupnpc && test -n "@no_upnp@"; then
  with_miniupnpc=no
fi

if test -z $with_gui && test -n "@no_qt@"; then
  with_gui=no
fi

if test x@host_os@ = xdarwin; then
  BREW=no
  PORT=no
fi

if test x@host_os@ = xmingw32; then
  if test -z $with_qt_incdir; then
    with_qt_incdir=$prefix/include
  fi
  if test -z $with_qt_libdir; then
    with_qt_libdir=$prefix/lib
  fi
fi

PATH=$prefix/native/bin:$PATH
PKG_CONFIG="`which pkg-config` --static"

# These two need to remain exported because pkg-config does not see them
# otherwise. That means they must be unexported at the end of configure.ac to
# avoid ruining the cache. Sigh.

export PKG_CONFIG_LIBDIR=$prefix/lib/pkgconfig
export PKG_CONFIG_PATH=$prefix/share/pkgconfig

CPPFLAGS="-I$prefix/include/ $CPPFLAGS"
LDFLAGS="-L$prefix/lib $LDFLAGS"

CC="@CC@"
CXX="@CXX@"
OBJC="${CC}"
OBJCXX="${CXX}"
CCACHE=$prefix/native/bin/ccache

if test -n "@AR@"; then
  AR=@AR@
  ac_cv_path_ac_pt_AR=${AR}
fi

if test -n "@RANLIB@"; then
  RANLIB=@RANLIB@
  ac_cv_path_ac_pt_RANLIB=${RANLIB}
fi

if test -n "@NM@"; then
  NM=@NM@
  ac_cv_path_ac_pt_NM=${NM}
fi

if test -n "@debug@"; then
  enable_reduce_exports=no
fi

if test -n "@CFLAGS@"; then
  CFLAGS="@CFLAGS@ $CFLAGS"
fi
if test -n "@CXXFLAGS@"; then
  CXXFLAGS="@CXXFLAGS@ $CXXFLAGS"
fi
if test -n "@CPPFLAGS@"; then
  CPPFLAGS="@CPPFLAGS@ $CPPFLAGS"
fi
if test -n "@LDFLAGS@"; then
  LDFLAGS="@LDFLAGS@ $LDFLAGS"
fi
